include:
  # Include Maven template
  - component: $CI_SERVER_FQDN/to-be-continuous/maven/gitlab-ci-maven@4.3
    inputs:
      # Override the default Maven image version (JDK 11 required for sources and 17 for SonarQube)
      image: "registry.hub.docker.com/library/maven:3.8-openjdk-17"

      # Use SonarQube from sonarcloud.io
      sonar-host-url: "https://sonarcloud.io"
      # organization & projectKey defined in pom.xml
      # SONAR_TOKEN defined as a secret CI/CD variable

      # Enable snapshot & release
      deploy-enabled: true
      # GIT_PRIVATE_KEY defined as a secret CI/CD variable
